from django.http import HttpResponse
from forms import SandwichForm, IngredientForm
from django.shortcuts import render_to_response
from django.core.files.uploadedfile import SimpleUploadedFile
from models import Sandwich, Ingredient
from django.http import Http404
import datetime


def add_sandwich(request):
	if request.method == 'POST': # If the form has been submitted...
		form = SandwichForm(request.POST, request.FILES) # A form bound to the POST data
		if form.is_valid(): # All validation rules pass
			newsandwich = form.save()
			newsandwich.save()
			thankshtml = "<p class=\"formthanks\">Thanks! Your sandwich has been added!</p>"
			return HttpResponse(thankshtml) # Redirect after POST
	else:
		form = SandwichForm() # An unbound form
		
	return render_to_response('sandwich.html', {'sform': form,})


def add_ingredient(request):
	if request.method == 'POST': # If the form has been submitted...
		form = IngredientForm(request.POST) # A form bound to the POST data
		if form.is_valid(): # All validation rules pass
			newsandwich = form.save()
			newsandwich.save()
			thankshtml = "<p class=\"formthanks\">Thanks! Your ingredient has been saved!</p>"
			return HttpResponse(thankshtml) # Redirect after POST
	else:
		form = IngredientForm() # An unbound form

	return render_to_response('ingredient.html', {'iform': form,})
	

def all_sandwich(request):
	try:
		sandwiches = Sandwich.objects.all()
	except Sandwich.DoesNotExist:
	        raise Http404
	return render_to_response('allsandwiches.html', {'sandwiches': sandwiches,})

	
def newsandwiches(request):
	try:
		if Sandwich.objects.count() > 5:
			sandwiches = Sandwich.objects.order_by('date_made')[:5]
		else:
			sandwiches = Sandwich.objects.order_by('date_made')
	except Sandwich.DoesNotExist:
	        raise Http404
	return render_to_response('allsandwiches.html', {'sandwiches': sandwiches,})
	
	
def specific_sandwich(request, slug):
	try:
		sandwiches = Sandwich.objects.get(slug=slug)
	except Sandwich.DoesNotExist:
		raise Http404
	return render_to_response('onesandwich.html', {'s': sandwiches,})